Page MenuHomePhabricator

Estonian Wikipedia does not have a SVG wordmark
Closed, ResolvedPublic

Description

PDF file acquired via https://et.wikipedia.org/api/rest_v1/page/pdf/Aneto currently starts with text "WIKIPEDIA". On Estonian Wikipedia it should display "VIKIPEEDIA" instead.

This text is localized for at least some languages, e.g. on fr.wikipedia.org and he.wikipedia.org PDF files acquired via the same functionality display "WIKIPÉDIA" and "ויקיפדיה", respectively. I wonder why it doesn't use existing sitename data for all languages.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd wordmark for etwiki

Event Timeline

Pikne created this task.Aug 12 2019, 6:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2019, 6:00 PM
Aklapper updated the task description. (Show Details)Aug 18 2019, 3:01 PM
Pikne updated the task description. (Show Details)Aug 27 2019, 4:47 PM
TheDJ added a subscriber: TheDJ.Jan 16 2020, 11:16 AM

This is because the wiki doesn't have a workmark logo, which is used by wgVectorPrintLogo and wgMinervaCustomLogos to add these to respective printing style.
If one is created, it can be configured relatively easily.

TheDJ renamed this task from Sitename not localized in PDF export output to Estonian Wikipedia does not have a SVG wordmark.Jan 16 2020, 11:19 AM
TheDJ edited projects, added Readers-Web-Backlog; removed Electron-PDFs.
Jdlrobson added a subscriber: Jdlrobson.

The mobile site also has the same issue: https://et.m.wikipedia.org/wiki/Esileht
These logos are the same. One can easily be added via the usual configuration channels.

Change 565549 had a related patch set uploaded (by Pikne; owner: Pikne):
[operations/mediawiki-config@master] Add wordmark for etwiki

https://gerrit.wikimedia.org/r/565549

Pikne added a comment.Tue, Jan 28, 2:14 PM

@Jdlrobson, do I get this right that "Blocked on Others" means that you are not going to +1 the patch? If so, then who is the "others" that I should request review from before I can arrange a deployment?

You should feel free to deploy this. No need for +1 given you have approval from alex above but have added one.

Change 565549 merged by jenkins-bot:
[operations/mediawiki-config@master] Add wordmark for etwiki

https://gerrit.wikimedia.org/r/565549

Mentioned in SAL (#wikimedia-operations) [2020-02-03T12:29:12Z] <urbanecm@deploy1001> Synchronized static/images/mobile/copyright/: SWAT: 76e67cd: e266e25: Add static wordmarks for szlwiki and etwiki (T233104, T230379) (duration: 01m 06s)

Mentioned in SAL (#wikimedia-operations) [2020-02-03T12:30:41Z] <urbanecm@deploy1001> Synchronized static/images/mobile/copyright/: SWAT: 76e67cd: e266e25: Add wordmarks for szlwiki and etwiki (T233104, T230379) (duration: 01m 06s)

Zoranzoki21 closed this task as Resolved.Mon, Feb 3, 12:34 PM
Zoranzoki21 added a subscriber: Zoranzoki21.

Closing as resolved, all should be ok now.